package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@ApiModel
public class DrpPurPlanDetailSaveDTO implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("原料id")
   private @NotNull(
   message = "原料/商品不能空"
) Long materialId;
   @ApiModelProperty("计量单位id")
   private @NotNull(
   message = "计量单位不能为空!"
) Long unitId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("生产计划数量")
   private BigDecimal proPlanNum;
   @ApiModelProperty("当前采购计划库存数")
   private BigDecimal inventoryNum;
   @ApiModelProperty("预计采购金额")
   private BigDecimal purchasingBudgetPrice;
   @ApiModelProperty("参考价格")
   private BigDecimal unitPrice;
   @ApiModelProperty("档口ID")
   private Long stallId;
   @ApiModelProperty("采购计划详情id")
   private Long detailId;
   @ApiModelProperty("备注")
   private String remark;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public BigDecimal getProPlanNum() {
      return this.proPlanNum;
   }

   public BigDecimal getInventoryNum() {
      return this.inventoryNum;
   }

   public BigDecimal getPurchasingBudgetPrice() {
      return this.purchasingBudgetPrice;
   }

   public BigDecimal getUnitPrice() {
      return this.unitPrice;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public Long getDetailId() {
      return this.detailId;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setProPlanNum(final BigDecimal proPlanNum) {
      this.proPlanNum = proPlanNum;
   }

   public void setInventoryNum(final BigDecimal inventoryNum) {
      this.inventoryNum = inventoryNum;
   }

   public void setPurchasingBudgetPrice(final BigDecimal purchasingBudgetPrice) {
      this.purchasingBudgetPrice = purchasingBudgetPrice;
   }

   public void setUnitPrice(final BigDecimal unitPrice) {
      this.unitPrice = unitPrice;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setDetailId(final Long detailId) {
      this.detailId = detailId;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
